# JazzQuiz

![Build Status](https://github.com/KQMATH/moodle-mod_jazzquiz/workflows/build/badge.svg?branch=master)
[![Coverage Status](https://coveralls.io/repos/github/KQMATH/moodle-mod_jazzquiz/badge.svg?branch=master)](https://coveralls.io/github/KQMATH/moodle-mod_jazzquiz?branch=master)

Moodle activity module, letting the teacher run a preplanned quiz with the power of improvisation

## What is it?
JazzQuiz is designed to be used in face-to-face lessons.
The teacher may plan questions in advance, but can also easily improvise on the fly.
Write your question on the blackboard, and select an appropriate question type from the dropdown menu.
Several improvise questions will already be included: Short answer, multichoice (3, 4 & 5), true/false.

During the lesson, the teacher starts the quiz. Students can now connect to this quiz.
Once the teacher is satisfied that all students have connected to the quiz, they can click on **Start Quiz**
Depending on the question settings the question will end automatically, or will need to be ended via the instructor's
**End question** button. The teacher can start a vote, with the selected responses, which students can answer.

The teacher can, at a later date, go back through the results and, for each question, see exactly what answer each student gave.
The repolls are treated as separate questions, and you will get a correct order in the review page.

## Documentation


Documentation is available as
[github pages](https://kqmath.github.io/) at
[https://kqmath.github.io/docs/jazzquiz/](https://kqmath.github.io/docs/jazzquiz/)

## Feedback:

**Project lead:** Hans Georg Schaathun: <hasc@ntnu.no>

**Developer:** Sebastian Gundersen: <sebastian@sgundersen.com>

## See also

+ [ShortMath Question Type](https://github.com/KQMATH/moodle-qtype_shortmath)
+ [JazzQuiz in the Moodle plugin repository](https://moodle.org/plugins/mod_jazzquiz)

## Please note
The original plugin, Realtime Quiz, was written by Davo Smith: <moodle@davosmith.co.uk>

Afterwards came ActiveQuiz, funded by an educational innovation grant given to the Medical school, the University of Wisconsin - Madison.
The plugin was rewritten to integrate the core Moodle question engine. John Hoopes: <john.z.hoopes@gmail.com>

JazzQuiz is a fork of ActiveQuiz, intended for different use cases.
